'use strict';

const {log, reportError} = require('./utils');
const Queues = require('../components/queues');
const path = require('path');
const runnerPath = path.resolve(__dirname, '../', 'components/task-runner.js');

function processQueue(name, concurrency) {
    const queue = Queues[name];
    queue.process(concurrency, runnerPath);
    queue
        .on('failed', (job, error) => {
            reportError(error, {extra: {job}});
        })
        .on('error', error => {
            reportError(error);
        });
}

module.exports = function runWorker() {
    log('Initiating worker master process');

    processQueue('common', 2);
    processQueue('import', 4);
    processQueue('critical', 1);
};
