'use strict';

const {Model} = require('.');
const uuid = require('uuid/v4');

class AccessToken extends Model {
    static get tableName() {
        return 'access_tokens';
    }

    static async createToken({name, description, roles = {}}) {
        return await AccessToken
            .query()
            .insert({
                token: (uuid() + uuid()).replace(/-/g, ''),
                name,
                description,
                roles
            })
            .returning('token');
    }
}

module.exports = AccessToken;
