'use strict';

const {Model} = require('.');

const DISCORD_ID_REG = '^\\d{18}$'; // eslint-disable-line no-useless-escape

class BanRecord extends Model {
    static get tableName() {
        return 'int_ban_records';
    }

    static get jsonSchema() {
        return {
            type: 'object',
            required: [
                'addedBy',
                'accusedDiscordId',
                'caseOrigin'
            ],
            properties: {
                addedBy: {type: ['integer', 'null']},
                accusedDiscordId: {type: 'string', pattern: DISCORD_ID_REG},
                accusedDiscordUsername: {type: 'string', minLength: 1, maxLength: 100},
                caseDescription: {type: 'string', minLength: 1, maxLength: 1000},
                caseModerator: {type: 'string', minLength: 1, maxLength: 100},
                caseOrigin: {type: 'string', minLength: 1, maxLength: 100},
                bannedUntil: {type: 'string', format: 'date-time'}
            }
        };
    }
}

module.exports = BanRecord;
