'use strict';

const {Model, knexSnakeCaseMappers, raw, ValidationError} = require('objection');
const initKnex = require('knex');
const knexConfig = require('../../knexfile');

const knex = initKnex(Object.assign({}, knexConfig, knexSnakeCaseMappers()));
Model.knex(knex);

exports.knex = knex;
exports.Model = Model;
exports.ValidationError = ValidationError;
exports.raw = raw;

exports.WikidotUser = require('./wikidot-user');
exports.WikidotPage = require('./wikidot-page');
exports.Branch = require('./branch');
exports.BanRecord = require('./ban-record');
exports.AccessToken = require('./access-tokens');
